package com.bonus.sharedstation.web.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.bonus.sharedstation.common.pojo.PageDTO;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 共享工具信息实体类
 */
@TableName("yz_sharing_tools")
public class SharingToolsDTO extends PageDTO implements java.io.Serializable{

    /**
     * 序列化
     */
    private static final long serialVersionUID = 6197622374439437166L;
    /**
     * 唯一标识符
     */
    private Integer id;

    /**
     * 共享位置
     */
    private String sharingAddress;

    /**
     * 详细地址楼栋/层
     */
    private String storageLocation;

    /**
     * 负责人
     */
    private String header;

    /**
     * 联系电话
     */
    private String headerPhone;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedTime;

    /**
     * 修改人
     */
    private String updatedBy;

    /**
     * 逻辑删除标识，1表示已删除，0表示未删除
     */
    private String isDeleted;

    /**
     * 租户ID
     */
    private Integer tenantId;

    @Override
    public String toString() {
        return "SharingTools{" +
                "id=" + id +
                ", sharingAddress='" + sharingAddress + '\'' +
                ", storageLocation='" + storageLocation + '\'' +
                ", header='" + header + '\'' +
                ", headerPhone='" + headerPhone + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                ", updatedTime=" + updatedTime +
                ", updatedBy='" + updatedBy + '\'' +
                ", isDeleted='" + isDeleted + '\'' +
                ", tenantId=" + tenantId +
                '}';
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSharingAddress() {
        return sharingAddress;
    }

    public void setSharingAddress(String sharingAddress) {
        this.sharingAddress = sharingAddress;
    }

    public String getStorageLocation() {
        return storageLocation;
    }

    public void setStorageLocation(String storageLocation) {
        this.storageLocation = storageLocation;
    }

    public String getHeader() {
        return header;
    }

    public void setHeader(String header) {
        this.header = header;
    }

    public String getHeaderPhone() {
        return headerPhone;
    }

    public void setHeaderPhone(String headerPhone) {
        this.headerPhone = headerPhone;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }
}
